Source: golang-github-mitchellh-go-homedir
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mitchellh-go-homedir
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mitchellh-go-homedir.git
Homepage: https://github.com/mitchellh/go-homedir
XS-Go-Import-Path: github.com/mitchellh/go-homedir

Package: golang-github-mitchellh-go-homedir-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Go library for detecting and expanding the user's home directory
 This is a Go library for detecting the user's home directory without the use of
 cgo, so the library can be used in cross-compilation environments.
 .
 Usage is incredibly simple, just call homedir.Dir() to get the home directory
 for a user, and homedir.Expand() to expand the ~ in a path to the home
 directory.
 .
 Why not just use os/user? The built-in os/user package requires cgo on Darwin
 systems. This means that any Go code that uses that package cannot cross
 compile. But 99% of the time the use for os/user is just to retrieve the home
 directory, which we can do for the current user without cgo. This library does
 that, enabling cross-compilation.
